    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ---------------
    028 * ChartFrame.java
    029 * ---------------
    030 * (C) Copyright 2001-2008, by Object Refinery Limited and Contributors.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 22-Nov-2001 : Version 1 (DG);
    038 * 08-Jan-2001 : Added chartPanel attribute (DG);
    039 * 24-May-2002 : Renamed JFreeChartFrame --> ChartFrame (DG);
    040 *
    041 */
    042
    043package org.jfree.chart;
    044
    045import javax.swing.JFrame;
    046import javax.swing.JScrollPane;
    047import javax.swing.WindowConstants;
    048
    049/**
    050 * A frame for displaying a chart.
    051 */
    052public class ChartFrame extends JFrame {
    053
    054    /** The chart panel. */
    055    private ChartPanel chartPanel;
    056
    057    /**
    058     * Constructs a frame for a chart.
    059     *
    060     * @param title  the frame title.
    061     * @param chart  the chart.
    062     */
    063    public ChartFrame(String title, JFreeChart chart) {
    064        this(title, chart, false);
    065    }
    066
    067    /**
    068     * Constructs a frame for a chart.
    069     *
    070     * @param title  the frame title.
    071     * @param chart  the chart.
    072     * @param scrollPane  if <code>true</code>, put the Chart(Panel) into a
    073     *                    JScrollPane.
    074     */
    075    public ChartFrame(String title, JFreeChart chart, boolean scrollPane) {
    076        super(title);
    077        setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    078        this.chartPanel = new ChartPanel(chart);
    079        if (scrollPane) {
    080            setContentPane(new JScrollPane(this.chartPanel));
    081        }
    082        else {
    083            setContentPane(this.chartPanel);
    084        }
    085    }
    086
    087    /**
    088     * Returns the chart panel for the frame.
    089     *
    090     * @return The chart panel.
    091     */
    092    public ChartPanel getChartPanel() {
    093        return this.chartPanel;
    094    }
    095
    096}